body {
    text-align: center;
    background-image: url('noise-animated.gif');
    background-size: 100% 100%;
}

body::before {
    content: "";
    position: fixed;
    left: -5vw;
    top: -5vh;
    z-index: -1;
  
    display: block;
    background-image: url('ec_bg.png');
    background-size: 110% 110%;
    width: 110vw;
    height: 110vh;
  
    filter: blur(5px);
}

p {
    margin: 0;
}

div {
    box-sizing: border-box;
}

.navbar {
    background-color: #000; /* #3C92DE; */
    text-align: left;
}

.clearfix {
    display: inline-block;
    clear: both;
}

.mc-modals-wrapper {
    width: 100%;
}

.mc-popup-modal-wrapper-container {
    position: fixed;
    z-index: 10;
    left: 0;
    top: 10vh;
    text-align: center;
    display: none;
    width: 100vw;
}

.mc-popup-modal-wrapper {
    display: inline-block;
    text-align: left;
    font-size: 3.5vmin;
    font-family: minecraft;
    max-width: 80vw;
    position: relative;
}

.mc-popup-modal {
    width: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
    max-height: 80vh;
    padding: 1vw;
    padding-top: 0;
}


.mc-popup-wrapper, .mc-popup-modal-wrapper {
    border-left: 1px solid black;
    border-top: 1px solid black;
    border-radius: 5px;
    display: inline-block;
    /*margin: 5vmin 10vmin;*/
    text-align: left;
}

.popup, .mc-popup-modal {
    background-color: rgb(198,198,198);
    padding: 1vw;
    padding-top: 0;
    border: 6px outset;
    border-radius: 5px;
    border-bottom-color: rgb(85,85,85);
    border-right-color: rgb(85,85,85);
    border-top-color: #fff;
    border-left-color: #fff; 
    display: inline-block;
}

.mc-popup-modal-close-button-wrapper {
    display: block;
    width: 10vw;
    line-height: 1;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    color: #000;

    /*
    transform: translateY(calc(-80%));
    border: 1px solid #000;
    border-bottom: none;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;*/
}

.mc-popup-modal-close-button {
    height: 2vh;
    z-index: 25;
    cursor: pointer;
    font-size: 6vmin;

    /*
    background-color: rgb(198,198,198);
    border: 6px outset;
    border-top-color: #fff;
    border-left-color: #fff; 
    border-bottom: none;
    border-right-color: #000;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;*/
}

.mc-popup-modal-close-button:hover {
    color:#555;
}



/*
.popup {
    font-size: 0;
}*/

.mc-landing-info {
    font-size: 3.5vmin;
    font-family: minecraft;
    padding-left: 0.3rem;
}

.mc-popup-title {
    font-size: 5vmin;
    font-family: minecraft;
    padding-left: 0.3rem;
    padding-bottom: 0.5vmin;
    padding-top: 1vmin;
}

.mc-popup-constraint {
    max-width: 72.5vmin;
    box-sizing: content-box;
}

.list-block-border {
    display: inline-block;
    border: 4px inset;
    background-color: rgb(139,139,139);
    border-right-color: #FFF;
    border-bottom-color: #FFF;
    border-top-color:#000;
    border-left-color:#000;
    width: 12vmin;
    height: 12vmin;
    box-sizing: border-box;
    margin: 2px;
}

.mc-popup-modal-wrapper h1, .mc-popup-modal-wrapper h2 {
    font-size: 5.5vmin; 
    font-style: normal;
    font-weight: normal;
    color: #000;
}

.mc-popup-modal-wrapper h1, .mc-popup-modal-wrapper h2 {
    margin-top: 0;
    margin-bottom: 2vmin;
}

.mc-popup-modal-wrapper h2 a {
    color: #000 !important;
}

.mc-popup-modal-wrapper ol {
    margin-top: 0;
    margin-left: 2vw;
}

.mc-popup-modal-wrapper div.line_break {
    height: 2vmin;
}

.mc-popup-modal-wrapper .block_image {
    max-width: 100%;
    margin-bottom: 2vmin;
}

.list-image {
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    image-rendering: pixelated;
}

.list-text {
    display: none;
}

@keyframes pulse {
    0% {
       transform: scale(1, 1);
    }

    50% {
        transform: scale(1.1, 1.1);
    }

    100% {
        transform: scale(1, 1);
    }
}

.ec-logo-wrapper {
    position: relative;
    display: inline-block;
    margin: 5vmin;
}

.ec-logo {
    font-size: 3rem;
    color: white;
}

.ec-logo img {
    max-height: 15vmin;
    filter: drop-shadow(4px 4px 4px #fff) invert(1);
}

.ec-info-wrapper {
    transform: rotate(350deg);
    position: absolute;
    bottom: 0;
    right: -25vmin;
    width: 50vmin;
}

.ec-info {
    color: yellow;
    font-family: minecraft;
    font-size: 5vmin;
    animation: pulse 0.5s linear infinite;
    transform: rotate(330deg);
    text-shadow: 2px 2px #000;
}


@media (max-width: 999px) {

    .list-block-border {
        width: 23vmin;
        height: 23vmin;
    }

    .mc-landing-info, .mc-popup-modal {
        font-size: 4.8vmin;
    }

    .mc-popup-title, .mc-popup-modal-wrapper h1, .mc-popup-modal-wrapper h2, .mc-popup-modal-close-button {
        font-size: 5.7vmin;
    }

    .popup, .mc-popup-modal {
        border-width: 8px;
        border-radius: 10px;
    }

    /*
    .mc-popup-modal-close-button-wrapper, .mc-popup-modal-close-button{
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    }*/

    .mc-popup-modal-close-button {
        font-size: 7vmin;
    }

    .mc-popup-modal {
        max-height: 70vh;
    }

    .mc-popup-wrapper, .mc-popup-modal-wrapper {
        border-radius: 10px;
    }

    body {
        background-image: none;
    }

    .list-block-border {
        border-width: 5px;
    }
}